<div>
    <div mat-subheader>Features ({{features.length}})</div>
    <div class="card-list">
        <mat-card
        [appearance]="'outlined'"
        *ngFor="let feature of features"
        (click)="setSelectedFeature(feature)"
        mat-ripple
        [matTooltip]="feature.description!"
        [matTooltipShowDelay]="200"
        [matTooltipDisabled]="feature == selectedFeature"
        [ngClass]="feature == selectedFeature ? 'selected' : ''">
            <mat-card-header>
                <mat-card-title>{{feature.displayName}}</mat-card-title>
                <mat-card-subtitle>
                Version {{feature.version}} - {{featureMaturityLevel[feature.maturity!]}}
                <span *ngIf="feature.identifier?.startsWith('org.silastandard/core')"> - SiLA</span>
                </mat-card-subtitle>
            </mat-card-header>
            <mat-card-content *ngIf="feature == selectedFeature">{{feature.description}}</mat-card-content>
            <mat-card-footer></mat-card-footer>
        </mat-card>
        <div *ngIf="features.length == 0">
            No features defined in server
        </div>
    </div>
</div>